Bug 119127 - Update support for Keyspan 19HS USB serial dongle
Summary: Update support for Keyspan 19HS USB serial dongle
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-25 11:19 UTC by Matt Dainty
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 20:15:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch as found on Keyspan site (28.20 KB, patch)
2004-03-25 11:20 UTC, Matt Dainty
no flags Details | Diff

Description Matt Dainty 2004-03-25 11:19:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
The 2.4.22 kernel (Fedora or kernel.org) doesn't have support for the
Keyspan 19HS single port serial dongle.

Keyspan have a patch available here:

http://www.keyspan.com/support/linux/files/currentversion/patch/kspatch2003oct02

...which adds support for this model. I've added this patch as #1268
into the Fedora kernel-2.4.spec file and it applies cleanly and
builds. I've tested my dongle with a rebuilt 2.4.22-1.2174 kernel and
it now works as expected.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2174

How reproducible:
Always

Steps to Reproduce:
1. Plug 19HS USB serial dongle into computer


Actual Results:  dmesg shows kernel acknowledges the basic USB device
exists, but no driver takes ownership.

Expected Results:  dmesg shows kernel acknowledges the USB device,
keyspan driver should take ownership, report exact hardware
name/version/configuration and the /dev nodes by which to access the
device.

Additional info:

Comment 1 Matt Dainty 2004-03-25 11:20:52 UTC
Created attachment 98846 [details]
Patch as found on Keyspan site

Comment 2 David Lawrence 2004-09-29 20:15:26 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.